package dmillerw.ping.client;

import dmillerw.ping.client.gui.CompatibleScaledResolution;
import dmillerw.ping.client.gui.GuiPingSelect;
import net.minecraft.client.Minecraft;
import net.minecraft.client.settings.KeyBinding;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fml.client.registry.ClientRegistry;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.gameevent.TickEvent;
import org.lwjgl.input.Keyboard;
import org.lwjgl.input.Mouse;

public class KeyHandler {
    private static final KeyBinding KEY_BINDING = new KeyBinding("key.ping", Keyboard.KEY_V, "key.categories.misc");

    public static void register() {
        ClientRegistry.registerKeyBinding(KEY_BINDING);
        MinecraftForge.EVENT_BUS.register(new KeyHandler());
    }

    private static boolean lastKeyState = false;

    public static boolean ignoreNextRelease = false;

    @SubscribeEvent
    public void onClientTick(TickEvent.ClientTickEvent event) {
        if (event.phase == TickEvent.Phase.END) {
            return;
        }

        Minecraft mc = Minecraft.func_71410_x();

        if (mc.field_71441_e == null) {
            return;
        }

        boolean keyPressed = (KEY_BINDING.func_151463_i() >= 0 ? Keyboard.isKeyDown(KEY_BINDING.func_151463_i()) : Mouse.isButtonDown(KEY_BINDING.func_151463_i() + 100));

        if (keyPressed != lastKeyState) {
            if (keyPressed) {
                GuiPingSelect.activate();
            } else {
                if (!ignoreNextRelease) {
                    final CompatibleScaledResolution scaledResolution = new CompatibleScaledResolution(mc, mc.field_71443_c, mc.field_71440_d);
                    int i = scaledResolution.getScaledWidth();
                    int j = scaledResolution.getScaledHeight();
                    final int k = Mouse.getX() * i / mc.field_71443_c;
                    final int l = j - Mouse.getY() * j / mc.field_71440_d - 1;

                    GuiPingSelect.INSTANCE.func_73864_a(k, l, 0);
                }
                ignoreNextRelease = false;
                GuiPingSelect.deactivate();
            }
        }
        lastKeyState = keyPressed;
    }
}
