package dmillerw.ping.util;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.VertexBuffer;
import net.minecraft.client.renderer.texture.TextureAtlasSprite;
import net.minecraft.client.renderer.texture.TextureMap;
import net.minecraft.client.renderer.vertex.DefaultVertexFormats;

public class PingRenderHelper {

    public static void drawBlockOverlay(float width, float height, float length, TextureAtlasSprite icon, int color, int alpha) {
        Tessellator tessellator = Tessellator.func_178181_a();
        VertexBuffer vertexbuffer = tessellator.func_178180_c();

        vertexbuffer.func_181668_a(7, DefaultVertexFormats.field_181709_i);
        int r = color >> 16 & 255;
        int g = color >> 8 & 255;
        int b = color & 255;

        Minecraft.func_71410_x().func_110434_K().func_110577_a(TextureMap.field_110575_b);

        // TOP
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();

        // BOTTOM
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();

        // NORTH
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();

        // SOUTH
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();

        // EAST
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b(-(width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();

        // WEST
        vertexbuffer.func_181662_b((width / 2), -(height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), -(height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94206_g()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), (length / 2)).func_187315_a(icon.func_94212_f(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();
        vertexbuffer.func_181662_b((width / 2), (height / 2), -(length / 2)).func_187315_a(icon.func_94209_e(), icon.func_94210_h()).func_181669_b(r, g, b, alpha).func_181675_d();

        tessellator.func_78381_a();
    }
}
